Skip to content
FreeTicketDocs
Esc
↑↓navigate↵open⌘Jpreview

List workspace venues

Minimum role: VIEWER. Active workspace via the X-Workspace-Id header.

GET/venues
Authorization
AuthorizationAPI key · headerrequired

API key prefixed with Bearer . Alternative: the x-api-key header with the raw key. Available scopes: read and write (see /.well-known/oauth-protected-resource).

or
x-api-keyAPI key · headerrequired

Raw API key (without Bearer ), alternative to Authorization.

Query parameters
limitinteger

1-100, default 20

default: 20
cursorstring
Header parameters
X-Workspace-Idstring

Active workspace to operate on. Optional: when omitted, the default workspace of the user who owns the key is used (pickActiveOrg).

Responses
200

OK

dataVenue[]required
Show properties
Array of Venue
idstringrequired
namestringrequired
slugstringrequired
addressstringrequired
citystringrequired
countrystringrequired
latitudenumber | nullrequired
Show properties
Any of:
number
number
null
null
longitudenumber | nullrequired
Show properties
Any of:
number
number
null
null
capacityinteger | nullrequired
Show properties
Any of:
integer
integer
null
null
googlePlaceIdstring | nullrequired
Show properties
Any of:
string
string
null
null
portalVisiblebooleanrequired
organizationIdstring | nullrequired
Show properties
Any of:
string
string
null
null
seatsioChartKeystring | nullrequired
Show properties
Any of:
string
string
null
null
createdAtstringrequired
pagePagerequired
Show properties
nextCursorstring | nullrequired
Show properties
Any of:
string
string
null
null
hasMorebooleanrequired
totalinteger
min -9007199254740991 · max 9007199254740991
401

Missing or invalid credential.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
403

Insufficient role or resource not accessible.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
404

Resource does not exist or is out of scope.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
422

Request body/parameter validation failed.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://admin.appfreeticket.com/api/v1/venues' \
  -H 'Authorization: YOUR_API_KEY'
Response
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "slug": "string",
      "address": "string",
      "city": "string",
      "country": "string",
      "latitude": 0,
      "longitude": 0,
      "capacity": -9007199254740991,
      "googlePlaceId": "string",
      "portalVisible": true,
      "organizationId": "string",
      "seatsioChartKey": "string",
      "createdAt": "string"
    }
  ],
  "page": {
    "nextCursor": "string",
    "hasMore": true,
    "total": -9007199254740991
  }
}